Skip to main content
GET
Get a page of alarms

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer

The page number of results to return (zero-based).

size
integer

The number of results to return per page.

sort
string

The parameter and direction to sort results by.

Example:

"timestamp_occured,asc"

status
enum<string>[]

Filter by the status of the alarm.

Available options:
open,
closed,
in_review
suppressed
boolean

Filter alarms by the suppressed flag.

rule_intent
string

Filter by the intent of the rule that triggered the alarm.

rule_method
string

Filter by the method of the rule that triggered the alarm.

rule_strategy
string

Filter by the strategy of the rule that triggered the alarm.

priority_label
enum<string>[]

Filter by the priority of the alarm.

Available options:
low,
medium,
high
alarm_sensor_sources
string<uuid>

Filter by the UUID of the sensor.

timestamp_occured_gte
integer<int64>

Filter for alarms that occurred at or after this timestamp (epoch milliseconds).

timestamp_occured_lte
integer<int64>

Filter for alarms that occurred at or before this timestamp (epoch milliseconds).

Response

200 - application/json

A paginated list of alarms.

_embedded
object
required
page
object
required